Jump to content
  • mangosthree (mangos error)


    taaboy
    • Status: Completed
      Main Category: Core / Mangos Daemon
      Sub-Category: Core Crash
      Version: 21.xx Milestone: Unset Priority: New
      Related to:
      Implemented Version: Unset
     Share

    Have a problem in running the mangos.exe for mangosthree compile. It compiles correctly no error, place all files in a dir from from the compile location.Finally got extraction tools to extract maps fully ,with out any vmaps errors and closing the script and failing to extract the maps.

    Database is running on MSQL 5.7 64bit , (On side note all other mangos releases mangos0,mangos1,mangos2 work 100%).

    Copied the libeay32.dll and libmysql.dll and libmysql.lib also into the folder .

    Made data folder with maps and log folder, modified mangos.conf to add the folders in the options. Check conf file for all database option are point to the DB with the right login.

    Start up realmd (works) , startup mangos.exe fails to open (screens popups for 1 sec) no errors or logs found.

    Also tried the the release  https://github.com/mangosthree/server/releases/tag/v0.21.246 same problem as above.

    I am new to here but not the emu world .

    I have tried the easy build both 32bit(errors) and 64bit also still the same outcome. Also easybuild is not been brought down from github or via download zip file

    UPDATED Found Error

    running from CMD Prompt from the install directory mangosd.exe  it output was no conf file,  checked and and recheck the mangosd.conf was in folder. 

     

    E:\WorldOfWowEMU\CataWowFiles\CataServer\server>mangosd
    Could not find configuration file mangosd.conf.

    Updated

    Found that windows 10 / notepad is stuffing the file up when you save or save as

    use notepad++ fix the save as

     

     Share


    User Feedback

    Recommended Comments

    Don't believe this is a problem any longer. I'm able to clone, build with EasyBuild, and get the binaries and conf files without issue.

    At this time, Rel 21 is the supported version. Rel22 is still in development.

    Link to comment
    Share on other sites



    Guest
    This is now closed for further comments

×
×
  • Create New...

Important Information

We have placed cookies on your device to help make this website better. You can adjust your cookie settings, otherwise we'll assume you're okay to continue. Privacy Policy Terms of Use